Subject: [TLS] Should we allow GMT in ServerRandom?

From: Eric Rescorla <[email-masked]>
Date: Tue, 26 Aug 2014 09:56:51 -0700

https://github.com/tlswg/tls13-spec/issues/64

Per WG consensus, we have removed the GMT field from ClientRandom
and ServerRandom but we still have the following text in TLS 1.3:

   Note: Versions of TLS prior to TLS 1.3 used the top 32 bits of
   the Random value to encode the time since the UNIX epoch. TLS 1.3
   Server implementations MAY opt to include the time in their
   Server.random values in order to accomodate clients which use
   that field for time synchronization.

There's no obvious way for a client to know if this is true or not and
people have suggested removing this text entirely see, for instance:
http://www.ietf.org/mail-archive/web/tls/current/msg13140.html)

Does anyone want to argue in favor of retaining this?

-Ekr